FileDirContext.FileResourceAttributes (Tomcat API Documentation)
Keywords: org.apache.naming.resources.FileDirContext.FileResourceAttributes class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class FileDirContext.FileResourceAttributes

    java.lang.Object
      org.apache.naming.resources.ResourceAttributes
          org.apache.naming.resources.FileDirContext.FileResourceAttributes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.naming.directory.Attributes

Enclosing class:
  FileDirContext

    protected class FileDirContext.FileResourceAttributes

extends ResourceAttributes

This specialized resource attribute implementation does some lazy reading (to speed up simple checks, like checking the last modified date).

See Also:
  Serialized Form

Field Summary
`protected boolean` | `accessed`
`protected java.lang.String` | `canonicalPath`
`protected java.io.File` | `file`

Fields inherited from class org.apache.naming.resources.ResourceAttributes
`ALTERNATE_CONTENT_LENGTH, ALTERNATE_CREATION_DATE, ALTERNATE_ETAG, ALTERNATE_LAST_MODIFIED, ALTERNATE_TYPE, attributes, collection, COLLECTION_TYPE, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_TYPE, contentLength, creation, CREATION_DATE, creationDate, ETAG, format, formats, gmtZone, LAST_MODIFIED, lastModified, lastModifiedDate, lastModifiedHttp, mimeType, name, NAME, SOURCE, strongETag, TYPE, weakETag`

Constructor Summary
`FileDirContext.FileResourceAttributes(java.io.File file)`

Method Summary
`java.lang.String` | `getCanonicalPath()` Get canonical path.
`long` | `getContentLength()` Get content length.
`long` | `getCreation()` Get creation time.
`java.util.Date` | `getCreationDate()` Get creation date.
`long` | `getLastModified()` Get last modified time.
`java.util.Date` | `getLastModifiedDate()` Get lastModified date.
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getResourceType()` Get resource type.
`boolean` | `isCollection()` Is collection.

Methods inherited from class org.apache.naming.resources.ResourceAttributes
`clone, get, getAll, getETag, getETag, getIDs, getLastModifiedHttp, getMimeType, isCaseIgnored, put, put, remove, setCollection, setContentLength, setCreation, setCreationDate, setETag, setLastModified, setLastModified, setLastModifiedDate, setLastModifiedHttp, setMimeType, setName, setResourceType, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

### accessed

    protected boolean accessed

### canonicalPath

    protected java.lang.String canonicalPath

Constructor Detail

### FileDirContext.FileResourceAttributes

    public FileDirContext.FileResourceAttributes(java.io.File file)

Method Detail

### isCollection

    public boolean isCollection()

  Is collection.

  Overrides:
    `isCollection` in class `ResourceAttributes`

### getContentLength

    public long getContentLength()

  Get content length.

  Overrides:
    `getContentLength` in class `ResourceAttributes`
  Returns:
    content length value

### getCreation

    public long getCreation()

  Get creation time.

  Overrides:
    `getCreation` in class `ResourceAttributes`
  Returns:
    creation time value

### getCreationDate

    public java.util.Date getCreationDate()

  Get creation date.

  Overrides:
    `getCreationDate` in class `ResourceAttributes`
  Returns:
    Creation date value

### getLastModified

    public long getLastModified()

  Get last modified time.

  Overrides:
    `getLastModified` in class `ResourceAttributes`
  Returns:
    lastModified time value

### getLastModifiedDate

    public java.util.Date getLastModifiedDate()

  Get lastModified date.

  Overrides:
    `getLastModifiedDate` in class `ResourceAttributes`
  Returns:
    LastModified date value

### getName

    public java.lang.String getName()

  Get name.

  Overrides:
    `getName` in class `ResourceAttributes`
  Returns:
    Name value

### getResourceType

    public java.lang.String getResourceType()

  Get resource type.

  Overrides:
    `getResourceType` in class `ResourceAttributes`
  Returns:
    String resource type

### getCanonicalPath

    public java.lang.String getCanonicalPath()

  Get canonical path.

  Overrides:
    `getCanonicalPath` in class `ResourceAttributes`
  Returns:
    String the file's canonical path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.